# $Revision: 1.3 $, $Date: 2005/06/06 20:39:42 $

%define		theme	kstatus

Summary:	superkaramba - kstatus theme
Summary(pl):	superkaramba - motyw kstatus
Name:		superkaramba-theme-%{theme}
Version:	1.1
Release:	1
License:	GPL
Group:		Themes
Source0:	http://www.kde-look.org/content/files/19827-%{theme}-%{version}.tar.gz
# Source0-md5:	7c516813edfbcb93178a1316e8d11ea7
URL:		http://karraskal.deviantart.com
Requires:	superkaramba >= 0.36
BuildRequires:  sed >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define 	_kstatusdir 	/themes/superkaramba/kstatus

%description
kstatus theme for superkaramba. Features :
 - User@hostname Output
 - Kernel Version Output
 - KDE Version Output
 - CPU Usage Stats with progress bar indicator
 - CPU Model / Clockspeed / Cache Detection
 - RAM / Swapfile Usage with progress bar indicator
 - Hard Disk Drive Monitor (default 4 partitions)
 - Network Traffic Monitor
 - IP Address Output
 - Uptime / Time / Date Output
 - XMMS - Currently Playing and Time of Track Information
 - XMMS Controls - Skip back, Play, Stop, Pause and Skip Forward

%description -l pl
Motyw kstatus dla superkaramby. Wywietlane informacje :
 - User@hostname
 - Wersja kernela
 - Wersja KDE
 - Obcienie procesora
 - Model / zegar / cache procesora
 - Obcienie pamici RAM i pliku wymiany
 - Monitor dyskw
 - Monitor sieci
 - Uptime, czas, data
 - XMMS - info o odtwarzanej ciece
 - Kontrolki XMMS

%prep
%setup -q -n %{theme}

# theme modified to white/black font
cp kstatus.theme kstatus-white.theme
mv kstatus.theme kstatus-black.theme
%{__sed} -i 's/0,0,0/255,255,255/' kstatus-white.theme
%{__sed} -i 's/1,1,1/254,254,254/' kstatus-white.theme

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}%{_kstatusdir} \
	$RPM_BUILD_ROOT%{_datadir}%{_kstatusdir}/{fonts,umicons}

install {changelog,kstatus-{white,black}.theme,*.png} $RPM_BUILD_ROOT%{_datadir}%{_kstatusdir}
install fonts/*.ttf $RPM_BUILD_ROOT%{_datadir}%{_kstatusdir}/fonts
install umicons/*.png $RPM_BUILD_ROOT%{_datadir}%{_kstatusdir}/umicons

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}%{_kstatusdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: superkaramba-theme-kstatus.spec,v $
Revision 1.3  2005/06/06 20:39:42  blekot
- white/black choice enabled
- STBR (ready)

Revision 1.2  2005/06/06 20:02:49  blekot
- cosmetics

Revision 1.1  2005/06/06 19:52:38  blekot
- new from bt <bt at rrserwis dot pl>
- NFY (please don't touch)

